AMULEWEB(1)

NOM
imuleweb - seruveur Web d'iMule

SYNOPSIS
imuleweb [-h <h�te>] [-p <port>] [-P <motdepasse>] [-f <chemin>] [-q] [-v] [-w] [-t <nom>] [-s <port>] [-z] [-Z] [-A <motdepasse>] [-G <motdepasse>] [-a] [-d] [-L]

imuleweb [-f <chemin>] --create-config-from=<chemin>

imuleweb [--help] [--version]

imuleweb [--imule-config-file=<chemin>]

DESCRIPTION
imuleweb prend en charge l'acc�s � iMule � travers un navigateur Web. Vous pouvez le d�marrer en m�me temps qu'imule(1), or s�paremment, n'importe quand apr�s. Les options peuvent �tre sp�cifi�es par la ligne de commande ou par l'interm�diare d'un fichier de configuration. Les options sp�cifi�es dans la ligne de commande ont priorit� sur celles contenues dans le fichier de configuration.

-h, --host=<h�te>
    H�te o� iMule tourne (d�faut: localhost). <h�te> peut �tre une adresse IP ou un nom DNS.

-p, --port=<port>
    Port d'iMule pour les Connexions Externes, tel que d�fini dans Preferences->Contr�les � Distance (d�faut: 4712).

-P, --password=<motdepasse>
    Mot de passe pour les Connexions Externes.

-f, --config-file=<chemin>
    Utiliser le fichier de configuration d�sign�. Le fichier de configuration par d�faut est ~/.iMule/remote.conf

-q, --quiet
    N'afficher aucune sortie sur stdout. Il est utile d'utiliser -q pour faire tourner imuleweb en service (daemon), i.e. en lan�ant 'imuleweb -q &'

-v, --verbose
    Mode bavard - affiche aussi les messages de debugage.

-w, --write-config
    Ecrire les options de la ligne de commande dans le fichier de configuration et quitter.

--create-config-from=<chemin>
    Cr�er un fichier de configuration bas� sur <chemin>, qui doit pointer sur un fichier de configration d'iMule valide, et quitter ensuite.

-t, --template=<nom>
    Charger le mod�le nomm� <nom>. Voir aussi la section PRISE EN CHARGE DES SKINS.

-s, --server-port=<port>
    Port HTTP du serveur Web. C'est le port sur lequel votre navigateur Web doit pointer (d�fault: 4711).

-z, --enable-gzip
    Activer la compression gzip dans les �changes HTTP pour diminuer l'utilisation de la bande passante.

-Z, --disable-gzip
    D�sactiver la compression gzip (comportement par d�faut).

-A, --admin-pass=<motdepasse>
    Mot de passe pour un acc�s complet au serveur Web.

-G, --guest-pass=<motdepase>
    Mot de passe pour un acc�s restreint au seveur Web (invit�).

-a, --allow-guest
    Autoriser l'acc�s aux invit�s.

-d, --deny-guest
    Interdire l'acc�s aux invit�s (d�faut).

-L, --load-settings
    Charger/d�charger les r�glages du serveur Web depuis un iMule distant. Ceci permet d'ignorer les options de la ligne de commande et du fichier de configuration et charger celles-ci depuis iMule. Lors de la sauvegarde des pr�f�rences, celles-ci ne seront pas sauvegard�es dasn le fichier de configuratio, mais vers iMule. (Bien s�r, ceci n'est valable que pour les options qui peuvent �tre configur�es dans Preferences->Contr�le � Distance)

--imule-config-file=<chemin>
    Chemin vers le fivhier de configuration d'iMule. NE PAS UTILISER DIRECTEMENT! iMule utilise cette option lorsqu'il d�marre imuleweb au lancement d'iMule. Cette option provoque la non prise en compte des options de ligne de commande et du fichier de configuration, celles-ci �tant lues dans le fichier de configuration fourni en param�tre, et induit aussi les options -q -L

--help
    Afficher l'aide d'utilisation et quitter.

--version
    Afficher les informations sur la version courante et quitter.

NOTE
Pour toutes les options prenant en param�tre un <chemin>, si le chemin ne contient pas de r�pertoire (i.e. juste un nom de fichier), alors il sera consid�r� comme �tant dans le r�pertoire de configuration d'iMule, ~/.iMule.

PRISE EN CHARGE DES SKINS
imuleweb est capable d'afficher ses informations dans diff�rents skins. Ces skins sont appel�s mod�les, et vous pouvez dire � imuleweb de charger un mod�le sp�cifique par l'otion de ligne de commande -t. Les mod�les sont recherch�s dans deux endroits: d'abord dans ~/.iMule/webserver/ puis dans $(pkgdatadir)/webserver/ ($(pkgdatadir) est le r�pertoire d'installation des donn�es ind�pendantes de l'architecture, la plupart du temps quelque chose comme /usr/share/imule). Chaque mod�le doit �tre dans un sous-r�pertoire du nom du mod�le, et ce r�pertoire doit contenir tous les fichiers dont � besoin le mod�le. Le fichier mod�le doit avoir comme nom iMule.tmpl.

Par exemple, le mod�le par d�faut (nomm� 'default') se trouve dans webserver/default/, et ce r�pertoure contient iMule.tmpl ainsi qu'un grand nombre de fichiers d'images.

FICHIERS
~/.iMule/remote.conf
~/.iMule/webserver/
$(pkgdatadir)/webserver/

EXEMPLE
Typiquement imuleweb sera lanc� la premi�re fois de la fa�on suivante:

imuleweb -h hostname -p ECport -P ECpassword -s HTTPport -A AdminPassword -w

ou

imuleweb --create-config-from=/home/username/.iMule/imule.conf

Cela sauvegardera les options dans $HOME/.iMule/remote.conf, et les fois suivantes, vous n'aurez � taper que:

imuleweb

Bien s�r, vous pouvez ajouter plus ou moins d'options de ligne de commande, ou vous pouvez aussi n'en sp�cifier aucune.

SIGNALEMENT DES BUGS
Reportez les bugs sur notre forum (http://forum.imule.org/), ou dans notre bugtracker (http://bugs.imule.org/). N'utilisez ni un e-mail, ni notre liste de diffusion ni ne reportez directement un bug � un membre de notre equipe.

COPYRIGHT
iMule et tous les utilitaires associ�s sont distribu�s sous licence GNU General Public License.

VOIR AUSSI
imule(1), imulecmd(1)

TRADUCTION
ThePolish, 2005